summaryrefslogtreecommitdiff
path: root/db-4.8.30/test/scr034/chk.mtx
diff options
context:
space:
mode:
Diffstat (limited to 'db-4.8.30/test/scr034/chk.mtx')
-rw-r--r--db-4.8.30/test/scr034/chk.mtx34
1 files changed, 34 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr034/chk.mtx b/db-4.8.30/test/scr034/chk.mtx
new file mode 100644
index 0000000..fc093eb
--- /dev/null
+++ b/db-4.8.30/test/scr034/chk.mtx
@@ -0,0 +1,34 @@
+#!/bin/sh -
+#
+# $Id$
+#
+# Check to make sure __mutex_print_id knows about all of the mutex types.
+
+d=../../
+
+[ -d $d/mutex ] || {
+ echo 'FAIL: cannot find source distribution directory.'
+ exit 1
+}
+
+t1=__1
+t2=__2
+
+egrep 'case MTX_.*return' $d/mutex/mut_stat.c |
+sed -e 's/.*case //' \
+ -e 's/:.*//' |
+sort > $t1
+
+egrep '#define.MTX_' $d/dbinc/mutex.h |
+sed -e 's/#define.//' \
+ -e 's/ .*//' \
+ -e '/MTX_MAX_ENTRY/d' |
+sort > $t2
+
+cmp $t1 $t2 > /dev/null || {
+ echo "<<< mutex/mut_stat.c >>> dbinc/mutex.h"
+ diff $t1 $t2
+ exit 1
+}
+
+exit 0